Package com.avaya.core

## Class MessageItem

- java.lang.Object
- - com.avaya.core.MessageItem

- All Implemented Interfaces:
    `java.io.Serializable`

      public class MessageItem
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MessageItem()` | Creates an empty message item.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addMessageAction​(MessageAction messageAction)` | Adds a message action to the list of actions
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getDescription()` | The description of the item
    `java.lang.String` | `getMediaType()` | The media type of the item
    `java.lang.String` | `getMediaUrl()` | The media url of the item
    `java.util.List<MessageAction>` | `getMessageActions()` | The list of Message Action objects contained in the message item.
    `java.util.Map<java.lang.String,​java.lang.Object>` | `getMetadata()` | The metadata of the item
    `java.lang.String` | `getSize()` | The size of the item
    `java.lang.String` | `getTitle()` | The title of the item
    `void` | `removeMessageAction​(MessageAction messageAction)` | Removes a message action from the list of actions
    `void` | `setDescription​(java.lang.String description)` | Sets the description of the item
    `void` | `setMediaType​(java.lang.String mediaType)` | Sets the media type of the item
    `void` | `setMediaUrl​(java.lang.String mediaUrl)` | Sets the media url of the item
    `void` | `setMetadata​(java.util.Map<java.lang.String,​java.lang.Object> metadata)` | Sets the metadata of the item
    `void` | `setSize​(java.lang.String size)` | Sets the size of the item
    `void` | `setTitle​(java.lang.String title)` | Sets the title of the item

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MessageItem

          public MessageItem()

      Creates an empty message item.

  - ### Method Detail

    - #### getDescription

          public java.lang.String getDescription()

      The description of the item
      Returns:
        The description

    - #### setDescription

          public void setDescription​(java.lang.String description)

      Sets the description of the item

    - #### getMediaType

          public java.lang.String getMediaType()

      The media type of the item
      Returns:
        The media type

    - #### setMediaType

          public void setMediaType​(java.lang.String mediaType)

      Sets the media type of the item

    - #### getMediaUrl

          public java.lang.String getMediaUrl()

      The media url of the item
      Returns:
        The media url

    - #### setMediaUrl

          public void setMediaUrl​(java.lang.String mediaUrl)

      Sets the media url of the item

    - #### getSize

          public java.lang.String getSize()

      The size of the item
      Returns:
        The size

    - #### setSize

          public void setSize​(java.lang.String size)

      Sets the size of the item

    - #### getTitle

          public java.lang.String getTitle()

      The title of the item
      Returns:
        The title

    - #### setTitle

          public void setTitle​(java.lang.String title)

      Sets the title of the item

    - #### getMessageActions

          public java.util.List<MessageAction> getMessageActions()

      The list of Message Action objects contained in the message item.
      Returns:
        The message actions

    - #### addMessageAction

          public void addMessageAction​(MessageAction messageAction)

      Adds a message action to the list of actions

    - #### removeMessageAction

          public void removeMessageAction​(MessageAction messageAction)

      Removes a message action from the list of actions

    - #### getMetadata

          public java.util.Map<java.lang.String,​java.lang.Object> getMetadata()

      The metadata of the item
      Returns:
        The metadata

    - #### setMetadata

          public void setMetadata​(java.util.Map<java.lang.String,​java.lang.Object> metadata)

      Sets the metadata of the item

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`